#pragma once
#include "ObjectNode.h"
#include "MeshNode.h"

class ControlledMeshNode : public MeshNode, public ObjectNode
{
public:
	ControlledMeshNode(wstring name, wstring modelName);

	void Update(FXMMATRIX& currentWorldTransformation);
	bool Initialise(void);

	XMMATRIX GetWorldTransformation() const;

private:

};

